Page MenuHomePhabricator

Release new version of wikimedia/html-formatter into mediawiki/vendor / mediawiki/core
Closed, ResolvedPublic

Description

While running phan over some extensions phan reports wrong HtmlFormatter\DOMElement return types.

Looking into the HtmlFormatter lib this doc issue was fixed with https://gerrit.wikimedia.org/r/#/c/363477/1/src/HtmlFormatter.php by using \DOMElement

But no new version was released since the fix. It would be nice to have a new version and get the doc fixes into mediawiki/vendor for a cleaner phan run on code using HtmlFormatter.

Thanks

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 28 2018, 8:24 AM

Tag as 1.0.2?

Change 429549 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/vendor@master] Update wikimedia/html-formatter from 1.0.1 to 1.0.2

https://gerrit.wikimedia.org/r/429549

Change 429550 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/core@master] Update wikimedia/html-formatter from 1.0.1 to 1.0.2

https://gerrit.wikimedia.org/r/429550

Change 429549 merged by jenkins-bot:
[mediawiki/vendor@master] Update wikimedia/html-formatter from 1.0.1 to 1.0.2

https://gerrit.wikimedia.org/r/429549

Change 429580 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/core@REL1_31] Update wikimedia/html-formatter from 1.0.1 to 1.0.2

https://gerrit.wikimedia.org/r/429580

Umherirrender closed this task as Resolved.Apr 28 2018, 5:29 PM
Umherirrender assigned this task to Reedy.

Thanks

Change 429550 merged by jenkins-bot:
[mediawiki/core@master] Update wikimedia/html-formatter from 1.0.1 to 1.0.2

https://gerrit.wikimedia.org/r/429550

Change 429586 had a related patch set uploaded (by Legoktm; owner: Reedy):
[mediawiki/vendor@REL1_31] Update wikimedia/html-formatter from 1.0.1 to 1.0.2

https://gerrit.wikimedia.org/r/429586

Change 429586 merged by jenkins-bot:
[mediawiki/vendor@REL1_31] Update wikimedia/html-formatter from 1.0.1 to 1.0.2

https://gerrit.wikimedia.org/r/429586

Change 429580 merged by jenkins-bot:
[mediawiki/core@REL1_31] Update wikimedia/html-formatter from 1.0.1 to 1.0.2

https://gerrit.wikimedia.org/r/429580

Vvjjkkii renamed this task from Release new version of wikimedia/html-formatter into mediawiki/vendor / mediawiki/core to d1daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Reedy as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from d1daaaaaaa to Release new version of wikimedia/html-formatter into mediawiki/vendor / mediawiki/core.Jul 2 2018, 4:34 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Reedy.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.